import requests
from api_auth import APICredentials, APIParams
  
class FailoverGroup:
    def __init__(self):
        self.host = "https://services.uplynk.com"

    def run(self):
        self._get_allowed_users()
  
    def _get_allowed_users(self):
        failover_group_id = 'e8d6b5cb940c40cc9ec6ad081a38f3f0'
        url = "{}{}{}{}".format(self.host, "/api/v4/failover-groups/", failover_group_id, "/allowed-owners")

        headers = {'Content-Type': 'application/json'}
  
        response = requests.get(
            url, params=APIParams(APICredentials()).get_params({}), headers=headers
        )
  
        print(response.json())
  
FailoverGroup().run()